package com.jxy.order.enums;

/**
 * @Description 支持转账的币种 现仅支持BUSD、USDC、USDT
 * @Date 2023/6/6 15:02
 * @Author 杜懿
 */

public enum  Coin {
    BUSD("BUSD"),
    USDT("USDT"),
    USDC("USDC");

    private final String coin;

    Coin(String coin)
    {
        this.coin = coin;
    }

    public String getCoin()
    {
        return coin;
    }

    public static boolean judge(String coin){
        for (Coin c : Coin.values()) {
            if(c.getCoin().equals(coin.toUpperCase())){
                return true;
            }
        }
        return false;
    }

}
